### Type parameters

### Hierarchy

- MeasureOptions

## Index

### Properties

- continueMsg
- decimals
- precision
- sketchStyle
- source
- startMsg
- style
- tolerance

## Properties

### continueMsg

continueMsg: Element

- Defined in src/interaction/Measure.js:42

Element including the message to display in the help tooltip when the user already added the first point.

### decimals

decimals: number

- Defined in src/interaction/Measure.js:46

Defines the number of decimals to keep in the measurement. If not defined, then the default behaviour occurs depending on the measure type.

### precision

precision: number

- Defined in src/interaction/Measure.js:44

Defines the number of digits to keep in the measurement. If not defined, then the default behaviour occurs depending on the measure type.

### sketchStyle

sketchStyle: StyleLike

- Defined in src/interaction/Measure.js:51

The style to be used while drawing.

### source

source: VectorSource<unknown>

- Defined in src/interaction/Measure.js:53

The source.

### startMsg

startMsg: Element

- Defined in src/interaction/Measure.js:40

Element including the message to display in the help tooltip when the user just activated the interaction.

### style

style: StyleLike

- Defined in src/interaction/Measure.js:49

The style to be used when drawing is finished.

### tolerance

tolerance: number

- Defined in src/interaction/Measure.js:48

Defines the tolerance.

Generated using TypeDoc